/*
 * Copyright (C) 2022 Jonathan Certes
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */

// a global variable in a foreign language:
int foreign_myGlobalVar = 42;

/**
 * \brief
 *  Read access function for a global variable.
 *
 * \returns
 *  the address of global variable \ref foreign_myGlobalVar.
 */
int * foreign_getMyGlobalVarPtr(void) {
  return &foreign_myGlobalVar;
}

/**
 * \brief
 *  Write access function for a global variable.
 */
void foreign_setMyGlobalVarFromC(int theValue) {
  foreign_myGlobalVar = theValue;
}

